/* dc_gui2 - a GTK+2 GUI for DCTC
 * Copyright (C) 2002 Eric Prevoteau
 *
 * ls_cache_clist.h: Copyright (C) Eric Prevoteau <www@ac2i.tzo.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/*
$Id: ls_cache_clist.h,v 1.1.1.1 2003/07/23 05:57:15 ericprev Exp $
*/

#ifndef __LS_CACHE_CLIST_H__
#define __LS_CACHE_CLIST_H__

/****************************************************************************************/
/* load the 'cached_user_list_clist' with the content of the directory ~/.dctc/ls_cache */
/******************************************************************************************/
/* input: if the flag is set to FALSE and the list already contains line, nothing is done */
/******************************************************************************************/
void reload_ls_cache_clist(int even_when_not_empty);

/********************************************************/
/* build modele and view for the cached user list clist */
/********************************************************/
void bmav4_cached_user_list_clist(void);

#endif
